<?php
/**
 * @package RSDirectory!
 * @copyright (C) 2013-2021 www.rsjoomla.com
 * @license GPL, http://www.gnu.org/licenses/gpl-3.0.html
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class plgSystemRSDirectoryPayFastInstallerScript
{

	/**
	 * @param $type
	 * @param $parent
	 *
	 * @return bool
	 */
	public function preflight($type, $parent) {
		if ($type == 'uninstall') {
			return true;
		}
		try {
			if (!file_exists(JPATH_ADMINISTRATOR.'/components/com_rsdirectory/helpers/version.php')) {
				throw new Exception('Please install RSDirectory! first before you attempt to install this plugin.');
				
			}
			
			require_once JPATH_ADMINISTRATOR.'/components/com_rsdirectory/helpers/version.php';
			if (version_compare(RSDirectoryVersion::$version, '2.0.0', '<')) {
				throw new Exception('Please update RSDirectory! to version <strong>2.0.0 or newer</strong> before you attempt to install this plugin.');
			}
		} catch (Exception $e) {
			JFactory::getApplication()->enqueueMessage($e->getMessage(), 'error');
			return false;
		}

		return true;
	}
}